[cig-commits] [commit] inversion, master, validate_MT_params: check for tabs in py files (84d51b3)

cig_noreply at geodynamics.org cig_noreply at geodynamics.org
Fri Dec 12 18:28:57 PST 2014


Repository : https://github.com/geodynamics/burnman

On branches: inversion,master,validate_MT_params
Link       : https://github.com/geodynamics/burnman/compare/80c2a295c42dfdb38f83f6c1334bf7d8f97a8463...409647ff05dfad6a686198cac1481bd46b5e2e62

>---------------------------------------------------------------

commit 84d51b35543ccdf5b4e9585b534e51b0a70a49fe
Author: Timo Heister <timo.heister at gmail.com>
Date:   Fri Dec 12 15:48:57 2014 -0800

    check for tabs in py files


>---------------------------------------------------------------

84d51b35543ccdf5b4e9585b534e51b0a70a49fe
 test.sh | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/test.sh b/test.sh
index bfca4d4..0ad275d 100755
--- a/test.sh
+++ b/test.sh
@@ -43,6 +43,13 @@ fi
 
 
 echo "*** running test suite..."
+
+# check for tabs in code:
+for f in `find . -name \*.py`
+do
+    grep -P "\t" -q $f && echo "ERROR: tabs found in '$f'" && exit 1
+done
+
 cd tests
 python tests.py || exit 1
 testit "benchmark.py"



More information about the CIG-COMMITS mailing list